# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ExperimentversionsexperimentVersionIdunitpredictionFeatures(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'feature1': 'str',
        'feature2': 'int',
        'feature3': 'str'
    }

    attribute_map = {
        'feature1': 'feature1',
        'feature2': 'feature2',
        'feature3': 'feature3'
    }

    def __init__(self, feature1=None, feature2=None, feature3=None):  # noqa: E501
        """ExperimentversionsexperimentVersionIdunitpredictionFeatures - a model defined in Swagger"""  # noqa: E501
        self._feature1 = None
        self._feature2 = None
        self._feature3 = None
        self.discriminator = None
        if feature1 is not None:
            self.feature1 = feature1
        if feature2 is not None:
            self.feature2 = feature2
        if feature3 is not None:
            self.feature3 = feature3

    @property
    def feature1(self):
        """Gets the feature1 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.  # noqa: E501


        :return: The feature1 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.  # noqa: E501
        :rtype: str
        """
        return self._feature1

    @feature1.setter
    def feature1(self, feature1):
        """Sets the feature1 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.


        :param feature1: The feature1 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.  # noqa: E501
        :type: str
        """

        self._feature1 = feature1

    @property
    def feature2(self):
        """Gets the feature2 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.  # noqa: E501


        :return: The feature2 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.  # noqa: E501
        :rtype: int
        """
        return self._feature2

    @feature2.setter
    def feature2(self, feature2):
        """Sets the feature2 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.


        :param feature2: The feature2 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.  # noqa: E501
        :type: int
        """

        self._feature2 = feature2

    @property
    def feature3(self):
        """Gets the feature3 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.  # noqa: E501


        :return: The feature3 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.  # noqa: E501
        :rtype: str
        """
        return self._feature3

    @feature3.setter
    def feature3(self, feature3):
        """Sets the feature3 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.


        :param feature3: The feature3 of this ExperimentversionsexperimentVersionIdunitpredictionFeatures.  # noqa: E501
        :type: str
        """

        self._feature3 = feature3

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ExperimentversionsexperimentVersionIdunitpredictionFeatures, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ExperimentversionsexperimentVersionIdunitpredictionFeatures):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
